Vertex(1)

NAME

Vertex 3D Model Assembler - Point based 3D modeller

SYNTAX

vertex [file] [options] [GUI_options]

DESCRIPTION

Vertex 3D Model Assembler is a game object modeller with optimized design for OpenGL high performance live-end applications.

It gives the user both simutaneous instructive and visual editing of 3d data to help create the most efficient and detailed models.

Vertex also supports plug-ins (on certain platforms), these plug-ins give Vertex capabilities to import/export to alternate file formats, render using external renderers such as POVRay, and extended model data manipulation.

Vertex requires the GTK+ toolkit (1.2.8 or newer) and an implementation of OpenGL (ie Mesa3D).

OPTIONS

--rcfile <file>
    Load configuration from <file>.

--config_file <file>
    Same as --rcfile.

-f <file>
    Same as --rcfile.

--disable_plugins
    Do not load plug-ins on startup.

--no_splash
    Do not show splash/load status on startup.

--help
    Prints (this) help screen and exits.

--version
    Prints version information and exits.

See Edit->Preferences for additional configurable options.

FILES

/usr/shared/icons/vertex.xpm
    Default desktop icon for this program.

$HOME/.vertex/vertex.ini
    Local configuration file.

$HOME/.vertex/
    Local data directory for this application.

/usr/share/vertex/
    Global data directory for this application.

ENVIRONMENT VARIABLES

VERTEX_GLOBAL_DIR
    Specifies alternate global data directory for this program (only needed when local user runs vertex for the first time).

DISPLAY
    Specifies the address to the X display.

USERNAME
    Specifies the user's name.

USER
    Fallback for USERNAME.

HOME
    Specifies the home directory.

MESA_GAMMA
    Specifies the gamma value, used only on software rendering with the Mesa3D library.

EXAMPLES

To run this program the standard way, type:

# vertex &

To run and load a file at startup, type:

# vertex mymodel.v3d &

AUTHORS

http://wolfpack.twu.net/contacts.html

CREDITS

Capt Taura Milana
    Head programmer

Dan Stimits
    Primary development consultant & programming

Brian Paul
    Mesa3D

Janne Lof
    GtkGLArea

Jessica Blank
    Implementation Consultant

Magenta Pascal Nezumi
    OpenGL consultant

Stefan Maron
    GUI and Import/Export Consultant

SEE ALSO

Vertex home page
    http://wolfpack.twu.net/Vertex/